Subject: Re: [Tools-discuss] Reminder: chat service trials

From: "Rob Wilton (rwilton)" <[email-masked]>
Date: Mon, 15 Mar 2021 09:33:39 +0000

Hi Robert,

Having IETF provide jabber-ids is really useful.

For a long time I was using my work provided id, but then my company decided to stop supporting jabber services.  I also tried (and still use) a random jabber server is Japan, but it seems to be a bit flaky.  E.g., halfway through the week, I suddenly found that I could no longer access the IETF chat rooms from my .jp jabber id - I don't know why.

For this meeting, I mitigated this by using an id on xmpp-trial1.ietf.org, which I had set up previously.

But in the general case, if IETF is going to continue using jabber, then I think that it would be helpful for IETF to provide jabber ids (perhaps tied to Datatracker accounts), for those who wish to use them.

In terms of tooling, I have mostly continued to use pidgin, but also tried gajim.  I didn't try the web interface, but that would probably also be okay.

Regards,
Rob

> -----Original Message-----
> From: IETF-Announce <[email-masked]> On Behalf Of Robert
> Sparks
> Sent: 25 February 2021 18:38
> To: [email-masked]
> Subject: Reminder: chat service trials
> 
> As noted below, we are continuing with the chat services trial through
> IETF 110.
> 
> If you have been using a chat service other than xmpp at, for instance,
> interim meetings, please share your experiences at [email-masked]
> 
> We would like to see more discussion of these questions:
> 
> * Is providing local jabber accounts and a web interface to jabber
> sufficient to address the access issues encountered in the past?
> 
> * Are there features that matrix or zulip provide that are truly helpful
> for progressing IETF work? If so, please describe how they are helping.
> 
> Please explore the services during IETF 110. We anticipate taking them
> down and making a decision about what we will support in the long run
> shortly after.
> 
> RjS
> 
> On 12/11/20 1:00 PM, Robert Sparks wrote:
> >
> > We have been running trial zulip, matrix, and xmpp services since
> > October.
> > See
> > <https://mailarchive.ietf.org/arch/browse/ietf-
> announce/?q=%22trial%20chat%22>
> >
> >
> > As noted in those announcements, the issue that we are trying to
> > address is the difficulty people have been reporting obtaining jabber
> > services and clients. We are hopeful that these trials will help the
> > community develop a better sense of whether to focus on improving the
> > experiences with xmpp or to pursue other chat solutions. We are also
> > open to the possibility that these other solutions may be worth
> > operating in addition to improving the experiences from xmpp.
> >
> > However, usage and feedback so far has not been sufficient to inform
> > what services we should run in the future.
> >
> > We had around 50 local jabber accounts created on
> > xmpp-trial1.ietf.org, and around 40 accounts were created on each of
> > the matrix and zulip services.
> > Few rooms have been created on the matrix service other than those
> > bridging to xmpp.
> > Few streams were created on the zulip service other than those
> > bridging to xmpp and those ingesting a few mailing lists.
> >
> > We are not aware of anyone trying to use the zulip or matrix servers
> > for ietf work outside the main meeting.
> >
> > If you've used the services, please take a few minutes to provide
> > feedback at [email-masked].
> >
> > Is providing local jabber accounts and a web interface to jabber
> > sufficient?
> > Are there features that matrix or zulip provide that are truly helpful
> > for progressing IETF work? If so, please describe how they are helping.
> >
> > To collect more feedback, we are planning to extend the trials through
> > IETF 110. Please take advantage of these services between now and then
> > (at interim meetings for example) and let us know what you find to be
> > effective.
> >
> > If you are interested in using these services more directly for your
> > group's day-to-day communication, and are willing to test one or both
> > of these services on a primary basis for a while, please coordinate
> > with the appropriate leadership and let the tools team know so we can
> > help accommodate.  Please consider using these services for ad-hoc,
> > design-team meetings, and even interims (again, coordinating with the
> > appropriate leadership).
> >
> > If you have had issues using Jabber in the past, please take some time
> > now to work with these new services and describe whether they improve
> > your experience.
> >
> > We need more feedback about these services to develop a sense of what
> > will best meet the community's needs going forward. Please engage in
> > exploring and discussing them at [email-masked].
> >
> > While exploring, feel free to use the trial1-feedback room on Matrix
> > and the trial1-feedback stream on Zulip.
> >
> > Thanks again to the volunteers that have been helping configure these
> > services and keep them going.
> >
> > Robert Sparks, Tools Team Chair
> >
> > _______________________________________________
> > IETF-Announce mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/ietf-announce
> 
> _______________________________________________
> IETF-Announce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ietf-announce